import { loadDesignPlanner } from "./component-discovery.js";
const composeScreenPlan = (prompt, schema) => {
  const template = loadDesignPlanner();
  let designEngineerPrompt = template.replace("{{USER_PROMPT}}", prompt);
  if (schema) {
    designEngineerPrompt = designEngineerPrompt.replace("{{SCHEMA}}", schema);
  } else {
    designEngineerPrompt = designEngineerPrompt.replace("{{SCHEMA}}", "");
  }
  return designEngineerPrompt;
};
export {
  composeScreenPlan
};
